org.apache.lucene.benchmark.byTask.tasks

## Class OpenReaderTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.OpenReaderTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class OpenReaderTask
      extends PerfTask

  Open an index reader.
  Other side effects: index reader object in perfRunData is set.
  Optional params readOnly,commitUserData eg. OpenReader(false,commit1)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `USER_DATA`

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `logStep, NEW_LINE, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenReaderTask(PerfRunData runData)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
    `static org.apache.lucene.index.IndexReader` | `openCommitPoint(java.lang.String userData, org.apache.lucene.store.Directory dir, Config config, boolean readOnly)`
    `void` | `setParams(java.lang.String params)` Set the params of this task.
    `boolean` | `supportsParams()` Sub classes that supports parameters must override this method to return true.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `clone, close, getDepth, getLogMessage, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setup, shouldNeverLogAtStart, shouldNotRecordStats, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### USER_DATA

          public static final java.lang.String USER_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenReaderTask

          public OpenReaderTask(PerfRunData runData)

  - ### Method Detail

    - #### doLogic

          public int doLogic()
                      throws java.io.IOException

      Description copied from class: `PerfTask`
      Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
      Specified by:
        `doLogic` in class `PerfTask`
      Returns:
        number of work items done by this task.
      Throws:
        `java.io.IOException`

    - #### openCommitPoint

          public static org.apache.lucene.index.IndexReader openCommitPoint(java.lang.String userData,
                                                                            org.apache.lucene.store.Directory dir,
                                                                            Config config,
                                                                            boolean readOnly)
                                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setParams

          public void setParams(java.lang.String params)

      Description copied from class: `PerfTask`
      Set the params of this task.
      Overrides:
        `setParams` in class `PerfTask`

    - #### supportsParams

          public boolean supportsParams()

      Description copied from class: `PerfTask`
      Sub classes that supports parameters must override this method to return true.
      Overrides:
        `supportsParams` in class `PerfTask`
      Returns:
        true iff this task supports command line params.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.